summaryrefslogtreecommitdiff
path: root/net-p2p/gnunet-qt
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /net-p2p/gnunet-qt
Added ebuilds for kogaion desktop
Diffstat (limited to 'net-p2p/gnunet-qt')
-rw-r--r--net-p2p/gnunet-qt/ChangeLog14
-rw-r--r--net-p2p/gnunet-qt/Manifest5
-rw-r--r--net-p2p/gnunet-qt/gnunet-qt-0.8.1.ebuild49
-rw-r--r--net-p2p/gnunet-qt/gnunet-qt-0.8.1a.ebuild29
4 files changed, 97 insertions, 0 deletions
diff --git a/net-p2p/gnunet-qt/ChangeLog b/net-p2p/gnunet-qt/ChangeLog
new file mode 100644
index 00000000..1543af7e
--- /dev/null
+++ b/net-p2p/gnunet-qt/ChangeLog
@@ -0,0 +1,14 @@
+# ChangeLog for net-p2p/gnunet-qt
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*gnunet-qt-0.8.1a (23 Feb 2010)
+
+ 23 Feb 2010; Ycarus <ycarus@zugaina.org> +gnunet-qt-0.8.1a.ebuild:
+ Bump to 0.8.1a
+
+*gnunet-qt-0.8.1 (01 Jan 2010)
+
+ 01 Jan 2010; Ycarus <ycarus@zugaina.org> +gnunet-qt-0.8.1.ebuild:
+ Add gnunet-qt 0.8.1
+
diff --git a/net-p2p/gnunet-qt/Manifest b/net-p2p/gnunet-qt/Manifest
new file mode 100644
index 00000000..bb554cd9
--- /dev/null
+++ b/net-p2p/gnunet-qt/Manifest
@@ -0,0 +1,5 @@
+DIST gnunet-qt-0.8.1.tar.gz 459492 SHA256 e646be6837efee4b701d86f15331e35cec20fe4ad4e0be9065b3043b9db579da
+DIST gnunet-qt-0.8.1a.tar.gz 459571 SHA256 e7ff781e3b7d41b2db11dabcee0bc1f81fbccf87e220f12fa738ca78e091ba17
+EBUILD gnunet-qt-0.8.1.ebuild 1094 SHA256 51eea3cbfe4578cce71bec8a5bef6ef24d3735ae0c1119bba4fe8f761318acc6 SHA512 6da8ddf07595ed249a3c5c31ff16d427cd32a4155cd9518f6b09c4482c7747e793348fa298969e983a4ca0bb7bb2f71effee110fdd2c88e4f2405e8a3b84eeba WHIRLPOOL 0753f98a4799e7173091454a792d362c18de3e6528df3dc4d556bfc8670eaac868ff448284e020d7cf6a11f8a0f3bcb899b39b2cdbbe8bef8436090d548b9567
+EBUILD gnunet-qt-0.8.1a.ebuild 663 SHA256 af33626271fff0bc348d481d5cfc0d0a446a43c60ef175c9a1b5268b93f93f71 SHA512 112c0c040d9b99431b588094e992159bbc6beca28f641ed357ca22427751f41c1d783e45bdb53aff1d636d5febab1e296c4e72fd26b377204f117783b665bcea WHIRLPOOL 6400e6a77f7366e27a5d00f3ce7d91d02705fd043814bd30005e73034c9dc9efdb462d259ec039e99104bb7c1da36baebeeca83ff00cbdc2d521d5d69c28fb55
+MISC ChangeLog 361 SHA256 56a36820afe2c8c7140b2f0b26cfd902e8185c7048afc86784d238e4adbec4d4 SHA512 9b2ce2f34709391d3825c468b88597dbcb6d06851f46d75bc47c146e41d7fa96bd9c21603de87c2818cb54436007a2bd582b391c78425e1429bc789543804f81 WHIRLPOOL 127462471d54a95617b7b7e9a901a04d20c1c031d009cf2caf6f2c014ef2a69c7a9beac786fbd9e7845952939b6f0c0edb3d9c2a10724f379343d869ba4a7edc
diff --git a/net-p2p/gnunet-qt/gnunet-qt-0.8.1.ebuild b/net-p2p/gnunet-qt/gnunet-qt-0.8.1.ebuild
new file mode 100644
index 00000000..4990812a
--- /dev/null
+++ b/net-p2p/gnunet-qt/gnunet-qt-0.8.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils multilib qt4-r2
+
+DESCRIPTION="QT Graphical front end for GNUnet."
+HOMEPAGE="http://www.gnunet.org/"
+SRC_URI="http://gnunet.org/download/${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND="x11-libs/qt-gui:4
+ >=net-p2p/gnunet-${PV}"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ econf --with-gnunet=/usr || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
+
+# cd "${S}"/Qt${myqtver}
+# eqmake${myqtver} qscintilla.pro
+#
+# cd "${S}"/designer-Qt${myqtver}
+# eqmake${myqtver} designer.pro
+#}
+
+#src_compile() {
+# cd "${S}"/Qt${myqtver}
+# emake all staticlib || die "emake failed"
+#
+# cd "${S}"/designer-Qt${myqtver}
+# emake || die "failed to build designer plugin"
+#}
+
+#src_install() {
+# emake INSTALL_ROOT="${D}" install || die "designer plugin installation failed"
+# dodoc ChangeLog NEWS
+#}
diff --git a/net-p2p/gnunet-qt/gnunet-qt-0.8.1a.ebuild b/net-p2p/gnunet-qt/gnunet-qt-0.8.1a.ebuild
new file mode 100644
index 00000000..64e8d308
--- /dev/null
+++ b/net-p2p/gnunet-qt/gnunet-qt-0.8.1a.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils multilib qt4-r2
+
+DESCRIPTION="QT Graphical front end for GNUnet."
+HOMEPAGE="http://www.gnunet.org/"
+SRC_URI="http://gnunet.org/download/${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND="x11-libs/qt-gui:4
+ >=net-p2p/gnunet-${PV}"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ econf --with-gnunet=/usr || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}